<dx-popup #popupInitApp [(visible)]='isInitAppVisible' width='70vw' maxHeight='600px' height='auto'
  [focusStateEnabled]='false'>
  <div id='wizard' class="wizardHeader" *dxTemplate="let data of 'title'">
    <ul class="wizard" style='margin: 5px;'>
      <li [class.active]='wizardState == 0' style='width:20%'>
        <span>Informare</span>
      </li>
      <li [class.active]='wizardState == 1' style='width:20%'>
        <span>Adaugă Entitate</span>
      </li>
      <li [class.active]='wizardState == 2' style='width:20%'>
        <span>Adaugă Punct de lucru</span>
      </li>
      <li [class.active]='wizardState == 3' style='width:20%'>
        <span>Asociază Cod deșeu</span>
      </li>
      <li [class.active]='wizardState == 4' style='width:20%'>
        <span>Finalizare</span>
      </li>
    </ul>
    <div class='closeButton'>
      <!-- <dx-button icon='close' (onClick)='closeWizard($event)'></dx-button> -->
    </div>
  </div>

  <div *dxTemplate="let data of 'content'">
    <dx-scroll-view height='100%'>
      <dx-multi-view #multiview [dataSource]="multiViewItems" [focusStateEnabled]='false' [swipeEnabled]='false'
        itemTemplate="items">
        <div *dxTemplate="let item of 'items'">
          <div style='margin:25px;'>
            <!-- <h1>{{item.title}}</h1> -->
            <div *ngIf='wizardState == 0'>
              <p>Buna ziua,</p>
              <p>Pentru a putea folosi această aplicație sunt necesare câteva configurări.</p>
            </div>
            <div *ngIf='wizardState == 1 || wizardState == 2'>
              <app-edit-unit [isInitAppVisible]='true' (initForm)='initFormUnit($event)'></app-edit-unit>
            </div>
            <div *ngIf='wizardState == 3'>
              <app-edit-unit-waste></app-edit-unit-waste>
            </div>
            <div *ngIf='wizardState == 4'>
              <p>Pentru adăugarea mai multor entități, puncte de lucru sau configurarea codurilor de deșeu trebuie să accesați din meniu: Administrare ->
                Organizație.</p>
              <p>Mai multe detalii și configurări puteți găsi în <a target='_blank' href="{{manualUrl}}">Manualul de utilizare</a> al aplicației.</p>
            </div>
          </div>
        </div>
      </dx-multi-view>
    </dx-scroll-view>
  </div>
  <dxi-toolbar-item toolbar="bottom" location="after" widget="dxButton" [visible]='wizardState < 4'
    [options]="{ text:'Urmatorul pas >', type: 'normal', onClick: goToNext, validationGroup: wizardValidation }">
  </dxi-toolbar-item>
  <dxi-toolbar-item toolbar="bottom" location="after" widget="dxButton" [visible]='wizardState == 4'
    [options]="{ text:'Finalizează', type: 'normal', onClick: onFinish }">
  </dxi-toolbar-item>
</dx-popup>